const system = require("../../../system");
const Dao = require("../../dao.base");
class ProductDao extends Dao {
  constructor() {
    super(Dao.getModelName(ProductDao));
  }
  extraModelFilter() {
    //return {"key":"include","value":[{model:this.db.models.app,},{model:this.db.models.role,as:"Roles",attributes:["id","name"],joinTableAttributes:['created_at']}]};
    return {
      "key": "include", "value": [
        { model: this.db.models.productprice, as: "skus", attributes: ["id", "pricestrategy_id"] }]
    }
  }
}
module.exports = ProductDao;